import es

dm = es.import_addon('dm')

if dm.useSPE:
    spe = dm.spe
    def load():
        spe.registerPreHook('player_hurt', pre_player_hurt_spe)
        saveFF()
    def unload():
        spe.unregisterPreHook('player_hurt', pre_player_hurt_spe)
        loadFF()
        
elif dm.useNT:
    nt = dm.nt
    def load():
        nt.preEventRegister("player_hurt", pre_player_hurt_nt)
        saveFF()
    def unload():
        nt.preEventUnregister("player_hurt", pre_player_hurt_nt)
        loadFF()
        
        
def saveFF():
    global ff_value
    ff = es.ServerVar('mp_friendlyfire')
    ff_value = str(ff)
    ff.set(1)
    
def loadFF():
    es.ServerVar('mp_friendlyfire').set(ff_value)
        
def pre_player_hurt_spe(ev):
    attacker = int(ev['attacker'])
    victim = int(ev['userid'])
    if attacker != 0 and victim != attacker:
        userteam = es.getplayerteam(victim)
        attackerteam = es.getplayerteam(attacker)
        if userteam == attackerteam:
            dm.changeTeam(victim, 5-int(attackerteam))
        
        
def pre_player_hurt_nt(ev):
    attacker = nt.preEventGetInt('attacker')
    victim = nt.preEventGetInt('victim')
    
    if attacker != 0 and victim != attacker:
        userteam = es.getplayerteam(victim)
        attackerteam = es.getplayerteam(attacker)
        if userteam == attackerteam:
            msg('ff')
            dm.changeTeam(victim, 5-int(attackerteam))
        else:
            msg('fine.')